@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,700;1,400;1,800&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body, #root {
  height: 100vh;
}

body {
  --white-color: hsl(0, 0%, 100%);
  --off-white-color: hsl(0, 0%, 94%);
  --light-grey-color: hsl(0, 0%, 86%);
  --smokey-grey-color: hsl(0, 1%, 44%);
  --off-black-color: hsl(0, 0%, 8%);
  --purple-color: hsl(259, 100%, 65%);
  --light-red-color: hsl(0, 100%, 67%);

  background-color: var(--off-white-color);
  --font-size: 32px;
  font-size: var(--font-size);
  font-family: 'Poppins', sans-serif;
  color: var(--off-black-color);
}

#root {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.app {
  background-color: var(--white-color);
  border-radius: 18px 18px 180px 18px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  --padding: 55px;
  padding: var(--padding);
  width: 750px;
}

.date-input {
  display: flex;
  flex-direction: row;
  gap: 1em;
}

.date-component-container {
  display: flex;
  flex-direction: column;
  gap: 0.2em;
  min-width: 80px;
}

.date-component-container label {
  font-size: 0.4em;
}

.date-component-container label.error {
  color: var(--light-red-color);
}

.date-component-container .description {
  letter-spacing: 0.3em;
  color: var(--smokey-grey-color);
}

.date-component-container .error-description {
  font-style: italic;
}

.date-component-container input {
  font-family: inherit;
  border: 1px solid var(--light-grey-color);
  border-radius: 8px;
  outline: none;
  font-weight: 700;
  font-size: 1em;
  padding: 0.25em 0.6em;
  width: 4.8em;
}

.date-component-container input:hover {
  cursor: pointer;
}

.divider {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  width: 100%;
  position: relative;
}

.divider hr {
  position: absolute;
  top: 50%;
  margin: 0 auto;
  width: 100%;
  border: none;
  border-top: 1px solid var(--off-black-color);
  opacity: 0.2;
  z-index: 1;
}

.divider .arrow {
  --size: 80px;
  background-color: var(--purple-color);
  border-radius: 50%;
  height: var(--size);
  width: var(--size);
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  transition: background-color 0.3s ease-in-out;
  z-index: 2;
}

.divider .arrow img {
  width: 50%;
}

.divider .arrow:hover {
  background-color: var(--off-black-color);
  cursor: pointer;
}

.output-portion {
  font-weight: 800;
  font-style: italic;
  line-height: 1;
}

.output-portion .output-number {
  color: var(--purple-color);
  font-size: 2.5em;
}

.output-portion .output-number-unit {
  font-size: 2.3em;
}

.non-selectable {
  user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

@media only screen and (max-width: 760px) {
  body {
    --font-size: calc(24px + (32 - 24) * ((100vw - 500px) / (760 - 500)));
  }

 .app {
    width: 90vw;
    min-width: 375px;
    --padding: calc(24px + (55 - 24) * ((100vw - 500px) / (760 - 500)));
  }

  .date-component-container input {
    width: auto;
  }

  .divider {
    justify-content: center;
  }

  .divider .arrow {
    --size: calc(60px + (80 - 60) * ((100vw - 500px) / (760 - 500)));
  }
}

@media only screen and (max-width: 499px) {
  body {
    --font-size: 24px;
  }

  #root {
    overflow-y: auto;
    justify-content: flex-start;
  }

  .app {
    margin: 10% 0;
    --padding: 24px;
  }

  .divider .arrow {
    --size: 60px;
  }
}
